%global npmname osenv
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Look up environment settings specific to different operating systems 
Name: nodejs-%{npmname}
Version: 0.0.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/osenv
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Look up environment settings specific to different operating systems.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr osenv.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc LICENSE README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.3-1
- Initial build using nodejs spec template

